Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.server.impl
Class ProviderManagerImpl

    java.lang.Object
      |
      +--oracle.soap.server.impl.ProviderManagerImpl

All Implemented Interfaces:
  ProviderManager

public class ProviderManagerImpl
extends java.lang.Object
implements ProviderManager

`ProviderManagerImpl` is an implementation of a provider manager that stores its deployment information in a file.

Field Summary
`static java.lang.String` | `DEFAULT_CONFIG_MANAGER`
`static java.lang.String` | `OPTION_REQUIRED_REQUEST_URI`

Constructor Summary
`ProviderManagerImpl()`

Method Summary
`void` | `deploy(ProviderDeploymentDescriptor pd)` Deploy the given provider.
`void` | `destroy()` Cleanup the provider manager.
`java.lang.String` | `getDefaultConfigManagerClassname()` Get the class name of the default configuration manager.
`java.lang.String` | `getRequiredRequestURI()` Get the URI that provider manager requests must be made to in order to be accepted.
`void` | `init(java.util.Properties options, javax.servlet.ServletContext context, ConfigManager configManager)` Initialize the provider manager.
`java.lang.String[]` | `list()` Get a list of provider ids for all providers that have been deployed.
`ProviderDeploymentDescriptor` | `query(java.lang.String providerId)` Get the deployment descriptor for the given provider.
`void` | `setServiceManager(ServiceManager serviceManager)` Make the service manager that is being used to manage service deployment information available to the provider manager.
`ProviderDeploymentDescriptor` | `undeploy(java.lang.String providerId)` Undeploy the given provider, and return its descriptor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CONFIG_MANAGER

    public static final java.lang.String DEFAULT_CONFIG_MANAGER

  See Also:
    Constant Field Values

### OPTION_REQUIRED_REQUEST_URI

    public static final java.lang.String OPTION_REQUIRED_REQUEST_URI

  See Also:
    Constant Field Values

Constructor Detail

### ProviderManagerImpl

    public ProviderManagerImpl()

Method Detail

### getDefaultConfigManagerClassname

    public java.lang.String getDefaultConfigManagerClassname()

  Get the class name of the default configuration manager.
  Specified by:
    `getDefaultConfigManagerClassname` in interface `ProviderManager`
  Returns:
    The default configuration manager fully qualified class name.

### init

    public void init(java.util.Properties options,
                     javax.servlet.ServletContext context,
    ConfigManager configManager)
              throws SOAPException

  Initialize the provider manager.
  Specified by:
    `init` in interface `ProviderManager`
  Parameters:
    `options` - The options required to setup access to the deployment information.
    `context` - The servlet context.
    `configManager` - The configuration manager for this provider manager.
  Throws:
    `SOAPException` - Unable to access the deployment information.

### destroy

    public void destroy()
                 throws SOAPException

  Cleanup the provider manager.
  Specified by:
    `destroy` in interface `ProviderManager`
  Throws:
    `SOAPException` - Unable to cleanup the provider manager.

### setServiceManager

    public void setServiceManager(ServiceManager serviceManager)

  Make the service manager that is being used to manage service deployment information available to the provider manager. The provider manager may use the service manager to ensure that a provider is not undeployed as long as any services are deployed under that provider.
  Specified by:
    `setServiceManager` in interface `ProviderManager`

### getRequiredRequestURI

    public java.lang.String getRequiredRequestURI()

  Get the URI that provider manager requests must be made to in order to be accepted. Requests made to any other URI must be rejected.
  Specified by:
    `getRequiredRequestURI` in interface `ProviderManager`
  Returns:
    The request URI for provider manager requests, or `null` if any URI can be used.

### undeploy

    public ProviderDeploymentDescriptor undeploy(java.lang.String providerId)
                                          throws SOAPException

  Undeploy the given provider, and return its descriptor.
  Specified by:
    `undeploy` in interface `ProviderManager`
  Parameters:
    `providerId` - The id of the provider to undeploy.
  Returns:
    The descriptor containing the deployment information for the provider that has been undeployed.
  Throws:
    `SOAPException` - If the provider is not found or failed to undeploy.

### deploy

    public void deploy(ProviderDeploymentDescriptor pd)
                throws SOAPException

  Deploy the given provider.
  Specified by:
    `deploy` in interface `ProviderManager`
  Parameters:
    `pd` - The provider descriptor for the provider to deploy.
  Throws:
    `SOAPException` - If unable to deploy.

### query

    public ProviderDeploymentDescriptor query(java.lang.String providerId)
                                       throws SOAPException

  Get the deployment descriptor for the given provider.
  Specified by:
    `query` in interface `ProviderManager`
  Parameters:
    `providerId` - The id of the provider.
  Returns:
    The descriptor containing the deployment information for the given provider.
  Throws:
    `SOAPException` - If the provider is not found.

### list

    public java.lang.String[] list()
                            throws SOAPException

  Get a list of provider ids for all providers that have been deployed.
  Specified by:
    `list` in interface `ProviderManager`
  Returns:
    An array of deployed provider ids.
  Throws:
    `SOAPException` - Unable to list provider ids.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.